Package com.io7m.cardant.strings

# Enum Class CAStringConstants

java.lang.Object
java.lang.Enum<CAStringConstants>
com.io7m.cardant.strings.CAStringConstants

All Implemented Interfaces:
  `CAStringConstantType`, `com.io7m.jxtrand.api.JXTStringConstantType`, `Serializable`, `Comparable<CAStringConstants>`, `Constable`

public enum CAStringConstants extends Enum<CAStringConstants> implements com.io7m.jxtrand.api.JXTStringConstantType, CAStringConstantType
Automatically generated - DO NOT EDIT.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATTACHMENT`
  Constant for resource `"attachment"`.
  `ATTEMPTED_REMOVAL`
  Constant for resource `"attempted_removal"`.
  `COMMAND`
  Constant for resource `"Command"`.
  `COUNT`
  Constant for resource `"count"`.
  `COUNT_EXPECTED`
  Constant for resource `"count_expected"`.
  `COUNT_RECEIVED`
  Constant for resource `"count_received"`.
  `ERROR_ATTACHMENT_MISSING_DATA`
  Constant for resource `"error_attachment_missing_data"`.
  `ERROR_CLOSE_CONNECTION`
  Constant for resource `"error_close_connection"`.
  `ERROR_COMMAND_NOT_HERE`
  Constant for resource `"error_command_not_here"`.
  `ERROR_CONNECTION_COMMIT`
  Constant for resource `"error_connection_commit"`.
  `ERROR_CONNECTION_ROLLBACK`
  Constant for resource `"error_connection_rollback"`.
  `ERROR_CREATE_QUERIES`
  Constant for resource `"error_create_queries"`.
  `ERROR_CREATE_QUERIES_UNAVAILABLE`
  Constant for resource `"error_create_queries_unavailable"`.
  `ERROR_DUPLICATE`
  Constant for resource `"error_duplicate"`.
  `ERROR_DUPLICATE_DELETED`
  Constant for resource `"error_duplicate_deleted"`.
  `ERROR_EXPECTED_COMMAND`
  Constant for resource `"error_expected_command"`.
  `ERROR_HASH_VALUE_MISMATCH`
  Constant for resource `"error_hash_value_mismatch"`.
  `ERROR_HTTP`
  Constant for resource `"error_http"`.
  `ERROR_INDEXED`
  Constant for resource `"error_indexed"`.
  `ERROR_IO`
  Constant for resource `"error_io"`.
  `ERROR_ITEM_COUNT_STORE_INVARIANT`
  Constant for resource `"error_item_count_store_invariant"`.
  `ERROR_ITEM_COUNT_TOO_MANY_REMOVED`
  Constant for resource `"error_item_count_too_many_removed"`.
  `ERROR_NONEXISTENT`
  Constant for resource `"error_nonexistent"`.
  `ERROR_NOT_LOGGED_IN`
  Constant for resource `"error_not_logged_in"`.
  `ERROR_OPEN_CONNECTION`
  Constant for resource `"error_open_connection"`.
  `ERROR_OPEN_DATABASE`
  Constant for resource `"error_open_database"`.
  `ERROR_OPERATION_NOT_PERMITTED`
  Constant for resource `"error_operation_not_permitted"`.
  `ERROR_PARSE`
  Constant for resource `"error_parse"`.
  `ERROR_RECEIVED_UNEXPECTED_CONTENT_TYPE`
  Constant for resource `"error_received_unexpected_content_type"`.
  `ERROR_RECEIVED_UNEXPECTED_RESPONSE_TYPE`
  Constant for resource `"error_received_unexpected_response_type"`.
  `ERROR_REQUEST_TOO_LARGE`
  Constant for resource `"error_request_too_large"`.
  `ERROR_SCHEMA_VERSION_TABLE_ROW`
  Constant for resource `"error_schema_version_table_row"`.
  `ERROR_SEARCH_NOT_ACTIVE`
  Constant for resource `"error_search_not_active"`.
  `ERROR_SERVER`
  Constant for resource `"error_server"`.
  `ERROR_SERVER_CONNECT`
  Constant for resource `"error_server_connect"`.
  `ERROR_SHELL_OPTIONS_COMBINATION`
  Constant for resource `"error_shell_options_combination"`.
  `ERROR_TYPE_CHECKING`
  Constant for resource `"error_type_checking"`.
  `ERROR_TYPE_DECLARATION_REFERS_TO_NONEXISTENT_TYPE`
  Constant for resource `"error_type_declaration_refers_to_nonexistent_type"`.
  `ERROR_TYPE_FIELD_INVALID`
  Constant for resource `"error_type_field_invalid"`.
  `ERROR_TYPE_INVALID_PATTERN`
  Constant for resource `"error_type_invalid_pattern"`.
  `ERROR_TYPE_MISSING_REQUIRED_FIELD`
  Constant for resource `"error_type_missing_required_field"`.
  `ERROR_TYPE_SCALAR_STILL_REFERENCED`
  Constant for resource `"error_type_scalar_still_referenced"`.
  `ERROR_TYPE_STILL_REFERENCED`
  Constant for resource `"error_type_still_referenced"`.
  `ERROR_UNAUTHORIZED`
  Constant for resource `"error_unauthorized"`.
  `EXPECTED_COMMAND`
  Constant for resource `"expected_command"`.
  `EXPECTED_CONTENT_TYPE`
  Constant for resource `"expected_content_type"`.
  `EXPECTED_COUNT`
  Constant for resource `"expected_count"`.
  `EXPECTED_HASH`
  Constant for resource `"Expected Hash"`.
  `EXPECTED_RESPONSE_TYPE`
  Constant for resource `"Expected Response Type"`.
  `EXPECTED_TYPE`
  Constant for resource `"expected_type"`.
  `FILE`
  Constant for resource `"file"`.
  `FILE_ID`
  Constant for resource `"file_id"`.
  `HASH_ALGORITHM`
  Constant for resource `"Hash Algorithm"`.
  `HTTP_RESPONSE_CODE`
  Constant for resource `"HTTP Response Code"`.
  `ITEM`
  Constant for resource `"item"`.
  `ITEM_ID`
  Constant for resource `"item_id"`.
  `ITEM_LOCATION`
  Constant for resource `"item_location"`.
  `ITEM_NAME`
  Constant for resource `"item_name"`.
  `LOCATION`
  Constant for resource `"location"`.
  `LOCATION_ID`
  Constant for resource `"location_id"`.
  `LOCATION_NAME`
  Constant for resource `"location_name"`.
  `METADATA_NAME`
  Constant for resource `"metadata_name"`.
  `METADATA_VALUE`
  Constant for resource `"metadata_value"`.
  `NEW_LOCATION_ID`
  Constant for resource `"new_location_id"`.
  `NEW_LOCATION_NAME`
  Constant for resource `"new_location_name"`.
  `NEW_LOCATION_PARENT_ID`
  Constant for resource `"new_location_parent_id"`.
  `OBJECT`
  Constant for resource `"object"`.
  `OFFSET`
  Constant for resource `"offset"`.
  `OLD_LOCATION_ID`
  Constant for resource `"old_location_id"`.
  `OLD_LOCATION_NAME`
  Constant for resource `"old_location_name"`.
  `OLD_LOCATION_PARENT_ID`
  Constant for resource `"old_location_parent_id"`.
  `PROBLEM`
  Constant for resource `"problem"`.
  `QUERIES_CLASS`
  Constant for resource `"queries_class"`.
  `RECEIVED_CONTENT_TYPE`
  Constant for resource `"received_content_type"`.
  `RECEIVED_COUNT`
  Constant for resource `"received_count"`.
  `RECEIVED_HASH`
  Constant for resource `"Received Hash"`.
  `RECEIVED_RESPONSE_TYPE`
  Constant for resource `"Received Response Type"`.
  `RECEIVED_TYPE`
  Constant for resource `"received_type"`.
  `RELATION`
  Constant for resource `"relation"`.
  `STARTING_COUNT`
  Constant for resource `"starting_count"`.
  `SYNTAX_INTEGER_RANGE`
  Constant for resource `"syntax_integer_range"`.
  `SYNTAX_INTEGER_RANGE_EXAMPLE`
  Constant for resource `"syntax_integer_range_example"`.
  `SYNTAX_INTEGER_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_integer_range_example_name"`.
  `SYNTAX_INTEGER_RANGE_NAME`
  Constant for resource `"syntax_integer_range_name"`.
  `SYNTAX_ISO_TIMESTAMP`
  Constant for resource `"syntax_iso_timestamp"`.
  `SYNTAX_ISO_TIMESTAMP_EXAMPLE`
  Constant for resource `"syntax_iso_timestamp_example"`.
  `SYNTAX_ISO_TIMESTAMP_EXAMPLE_NAME`
  Constant for resource `"syntax_iso_timestamp_example_name"`.
  `SYNTAX_ISO_TIMESTAMP_NAME`
  Constant for resource `"syntax_iso_timestamp_name"`.
  `SYNTAX_LOCATION_MATCH`
  Constant for resource `"syntax_location_match"`.
  `SYNTAX_LOCATION_MATCH_ANYNAME`
  Constant for resource `"syntax_location_match_anyname"`.
  `SYNTAX_LOCATION_MATCH_ANYNAME_NAME`
  Constant for resource `"syntax_location_match_anyname_name"`.
  `SYNTAX_LOCATION_MATCH_DESC`
  Constant for resource `"syntax_location_match_desc"`.
  `SYNTAX_LOCATION_MATCH_DESC_NAME`
  Constant for resource `"syntax_location_match_desc_name"`.
  `SYNTAX_LOCATION_MATCH_EXACT`
  Constant for resource `"syntax_location_match_exact"`.
  `SYNTAX_LOCATION_MATCH_EXACT_NAME`
  Constant for resource `"syntax_location_match_exact_name"`.
  `SYNTAX_LOCATION_MATCH_NAME`
  Constant for resource `"syntax_location_match_name"`.
  `SYNTAX_METADATA`
  Constant for resource `"syntax_metadata"`.
  `SYNTAX_METADATA_INTEGER`
  Constant for resource `"syntax_metadata_integer"`.
  `SYNTAX_METADATA_INTEGER_NAME`
  Constant for resource `"syntax_metadata_integer_name"`.
  `SYNTAX_METADATA_MATCH`
  Constant for resource `"syntax_metadata_match"`.
  `SYNTAX_METADATA_MATCH_NAME`
  Constant for resource `"syntax_metadata_match_name"`.
  `SYNTAX_METADATA_MONEY`
  Constant for resource `"syntax_metadata_money"`.
  `SYNTAX_METADATA_MONEY_NAME`
  Constant for resource `"syntax_metadata_money_name"`.
  `SYNTAX_METADATA_NAME`
  Constant for resource `"syntax_metadata_name"`.
  `SYNTAX_METADATA_NAME_MATCH`
  Constant for resource `"syntax_metadata_name_match"`.
  `SYNTAX_METADATA_NAME_MATCH_EXACT`
  Constant for resource `"syntax_metadata_name_match_exact"`.
  `SYNTAX_METADATA_NAME_MATCH_EXACT_NAME`
  Constant for resource `"syntax_metadata_name_match_exact_name"`.
  `SYNTAX_METADATA_NAME_MATCH_NAME`
  Constant for resource `"syntax_metadata_name_match_name"`.
  `SYNTAX_METADATA_NAME_MATCH_SEARCH`
  Constant for resource `"syntax_metadata_name_match_search"`.
  `SYNTAX_METADATA_NAME_MATCH_SEARCH_NAME`
  Constant for resource `"syntax_metadata_name_match_search_name"`.
  `SYNTAX_METADATA_REAL`
  Constant for resource `"syntax_metadata_real"`.
  `SYNTAX_METADATA_REAL_NAME`
  Constant for resource `"syntax_metadata_real_name"`.
  `SYNTAX_METADATA_TEXT`
  Constant for resource `"syntax_metadata_text"`.
  `SYNTAX_METADATA_TEXT_NAME`
  Constant for resource `"syntax_metadata_text_name"`.
  `SYNTAX_METADATA_TIME`
  Constant for resource `"syntax_metadata_time"`.
  `SYNTAX_METADATA_TIME_NAME`
  Constant for resource `"syntax_metadata_time_name"`.
  `SYNTAX_METADATA_VALUE_MATCH`
  Constant for resource `"syntax_metadata_value_match"`.
  `SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE`
  Constant for resource `"syntax_metadata_value_match_integral_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_integral_range_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY`
  Constant for resource `"syntax_metadata_value_match_money_currency"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY_NAME`
  Constant for resource `"syntax_metadata_value_match_money_currency_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE`
  Constant for resource `"syntax_metadata_value_match_money_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_money_range_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_NAME`
  Constant for resource `"syntax_metadata_value_match_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE`
  Constant for resource `"syntax_metadata_value_match_real_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_real_range_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT`
  Constant for resource `"syntax_metadata_value_match_text_exact"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT_NAME`
  Constant for resource `"syntax_metadata_value_match_text_exact_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH`
  Constant for resource `"syntax_metadata_value_match_text_search"`.
  `SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH_NAME`
  Constant for resource `"syntax_metadata_value_match_text_search_name"`.
  `SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE`
  Constant for resource `"syntax_metadata_value_match_time_range"`.
  `SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE_NAME`
  Constant for resource `"syntax_metadata_value_match_time_range_name"`.
  `SYNTAX_MONEY_RANGE`
  Constant for resource `"syntax_money_range"`.
  `SYNTAX_MONEY_RANGE_EXAMPLE`
  Constant for resource `"syntax_money_range_example"`.
  `SYNTAX_MONEY_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_money_range_example_name"`.
  `SYNTAX_MONEY_RANGE_NAME`
  Constant for resource `"syntax_money_range_name"`.
  `SYNTAX_NAME_MATCH`
  Constant for resource `"syntax_name_match"`.
  `SYNTAX_NAME_MATCH_ANYNAME`
  Constant for resource `"syntax_name_match_anyname"`.
  `SYNTAX_NAME_MATCH_ANYNAME_NAME`
  Constant for resource `"syntax_name_match_anyname_name"`.
  `SYNTAX_NAME_MATCH_NAME`
  Constant for resource `"syntax_name_match_name"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_EXACT`
  Constant for resource `"syntax_name_match_with_name_exact"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_EXACT_NAME`
  Constant for resource `"syntax_name_match_with_name_exact_name"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_SEARCH`
  Constant for resource `"syntax_name_match_with_name_search"`.
  `SYNTAX_NAME_MATCH_WITH_NAME_SEARCH_NAME`
  Constant for resource `"syntax_name_match_with_name_search_name"`.
  `SYNTAX_REAL_RANGE`
  Constant for resource `"syntax_real_range"`.
  `SYNTAX_REAL_RANGE_EXAMPLE`
  Constant for resource `"syntax_real_range_example"`.
  `SYNTAX_REAL_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_real_range_example_name"`.
  `SYNTAX_REAL_RANGE_NAME`
  Constant for resource `"syntax_real_range_name"`.
  `SYNTAX_TIME_RANGE`
  Constant for resource `"syntax_time_range"`.
  `SYNTAX_TIME_RANGE_EXAMPLE`
  Constant for resource `"syntax_time_range_example"`.
  `SYNTAX_TIME_RANGE_EXAMPLE_NAME`
  Constant for resource `"syntax_time_range_example_name"`.
  `SYNTAX_TIME_RANGE_NAME`
  Constant for resource `"syntax_time_range_name"`.
  `SYNTAX_TYPE_MATCH`
  Constant for resource `"syntax_type_match"`.
  `SYNTAX_TYPE_MATCH_ALL`
  Constant for resource `"syntax_type_match_all"`.
  `SYNTAX_TYPE_MATCH_ALL_NAME`
  Constant for resource `"syntax_type_match_all_name"`.
  `SYNTAX_TYPE_MATCH_ANY`
  Constant for resource `"syntax_type_match_any"`.
  `SYNTAX_TYPE_MATCH_ANY_NAME`
  Constant for resource `"syntax_type_match_any_name"`.
  `SYNTAX_TYPE_MATCH_ANYTYPE`
  Constant for resource `"syntax_type_match_anytype"`.
  `SYNTAX_TYPE_MATCH_ANYTYPE_NAME`
  Constant for resource `"syntax_type_match_anytype_name"`.
  `SYNTAX_TYPE_MATCH_NAME`
  Constant for resource `"syntax_type_match_name"`.
  `TAG`
  Constant for resource `"tag"`.
  `TAG_ID`
  Constant for resource `"tag_id"`.
  `TAG_NAME`
  Constant for resource `"tag_name"`.
  `TYPE`
  Constant for resource `"type"`.
  `URI`
  Constant for resource `"URI"`.
  `USER_ID`
  Constant for resource `"user_id"`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAStringConstants`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAStringConstants[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.jxtrand.api.JXTStringConstantType

  `propertyName`

- ## Enum Constant Details

  - ### COMMAND

    public static final CAStringConstants COMMAND
    Constant for resource `"Command"`.

  - ### EXPECTED_CONTENT_TYPE

    public static final CAStringConstants EXPECTED_CONTENT_TYPE
    Constant for resource `"expected_content_type"`.

  - ### EXPECTED_HASH

    public static final CAStringConstants EXPECTED_HASH
    Constant for resource `"Expected Hash"`.

  - ### EXPECTED_RESPONSE_TYPE

    public static final CAStringConstants EXPECTED_RESPONSE_TYPE
    Constant for resource `"Expected Response Type"`.

  - ### HTTP_RESPONSE_CODE

    public static final CAStringConstants HTTP_RESPONSE_CODE
    Constant for resource `"HTTP Response Code"`.

  - ### HASH_ALGORITHM

    public static final CAStringConstants HASH_ALGORITHM
    Constant for resource `"Hash Algorithm"`.

  - ### RECEIVED_CONTENT_TYPE

    public static final CAStringConstants RECEIVED_CONTENT_TYPE
    Constant for resource `"received_content_type"`.

  - ### RECEIVED_HASH

    public static final CAStringConstants RECEIVED_HASH
    Constant for resource `"Received Hash"`.

  - ### RECEIVED_RESPONSE_TYPE

    public static final CAStringConstants RECEIVED_RESPONSE_TYPE
    Constant for resource `"Received Response Type"`.

  - ### URI

    public static final CAStringConstants URI
    Constant for resource `"URI"`.

  - ### ATTACHMENT

    public static final CAStringConstants ATTACHMENT
    Constant for resource `"attachment"`.

  - ### ATTEMPTED_REMOVAL

    public static final CAStringConstants ATTEMPTED_REMOVAL
    Constant for resource `"attempted_removal"`.

  - ### COUNT

    public static final CAStringConstants COUNT
    Constant for resource `"count"`.

  - ### COUNT_EXPECTED

    public static final CAStringConstants COUNT_EXPECTED
    Constant for resource `"count_expected"`.

  - ### COUNT_RECEIVED

    public static final CAStringConstants COUNT_RECEIVED
    Constant for resource `"count_received"`.

  - ### ERROR_ATTACHMENT_MISSING_DATA

    public static final CAStringConstants ERROR_ATTACHMENT_MISSING_DATA
    Constant for resource `"error_attachment_missing_data"`.

  - ### ERROR_CLOSE_CONNECTION

    public static final CAStringConstants ERROR_CLOSE_CONNECTION
    Constant for resource `"error_close_connection"`.

  - ### ERROR_COMMAND_NOT_HERE

    public static final CAStringConstants ERROR_COMMAND_NOT_HERE
    Constant for resource `"error_command_not_here"`.

  - ### ERROR_CONNECTION_COMMIT

    public static final CAStringConstants ERROR_CONNECTION_COMMIT
    Constant for resource `"error_connection_commit"`.

  - ### ERROR_CONNECTION_ROLLBACK

    public static final CAStringConstants ERROR_CONNECTION_ROLLBACK
    Constant for resource `"error_connection_rollback"`.

  - ### ERROR_CREATE_QUERIES

    public static final CAStringConstants ERROR_CREATE_QUERIES
    Constant for resource `"error_create_queries"`.

  - ### ERROR_CREATE_QUERIES_UNAVAILABLE

    public static final CAStringConstants ERROR_CREATE_QUERIES_UNAVAILABLE
    Constant for resource `"error_create_queries_unavailable"`.

  - ### ERROR_DUPLICATE

    public static final CAStringConstants ERROR_DUPLICATE
    Constant for resource `"error_duplicate"`.

  - ### ERROR_DUPLICATE_DELETED

    public static final CAStringConstants ERROR_DUPLICATE_DELETED
    Constant for resource `"error_duplicate_deleted"`.

  - ### ERROR_EXPECTED_COMMAND

    public static final CAStringConstants ERROR_EXPECTED_COMMAND
    Constant for resource `"error_expected_command"`.

  - ### ERROR_HASH_VALUE_MISMATCH

    public static final CAStringConstants ERROR_HASH_VALUE_MISMATCH
    Constant for resource `"error_hash_value_mismatch"`.

  - ### ERROR_HTTP

    public static final CAStringConstants ERROR_HTTP
    Constant for resource `"error_http"`.

  - ### ERROR_INDEXED

    public static final CAStringConstants ERROR_INDEXED
    Constant for resource `"error_indexed"`.

  - ### ERROR_IO

    public static final CAStringConstants ERROR_IO
    Constant for resource `"error_io"`.

  - ### ERROR_ITEM_COUNT_STORE_INVARIANT

    public static final CAStringConstants ERROR_ITEM_COUNT_STORE_INVARIANT
    Constant for resource `"error_item_count_store_invariant"`.

  - ### ERROR_ITEM_COUNT_TOO_MANY_REMOVED

    public static final CAStringConstants ERROR_ITEM_COUNT_TOO_MANY_REMOVED
    Constant for resource `"error_item_count_too_many_removed"`.

  - ### ERROR_NONEXISTENT

    public static final CAStringConstants ERROR_NONEXISTENT
    Constant for resource `"error_nonexistent"`.

  - ### ERROR_NOT_LOGGED_IN

    public static final CAStringConstants ERROR_NOT_LOGGED_IN
    Constant for resource `"error_not_logged_in"`.

  - ### ERROR_OPEN_CONNECTION

    public static final CAStringConstants ERROR_OPEN_CONNECTION
    Constant for resource `"error_open_connection"`.

  - ### ERROR_OPEN_DATABASE

    public static final CAStringConstants ERROR_OPEN_DATABASE
    Constant for resource `"error_open_database"`.

  - ### ERROR_OPERATION_NOT_PERMITTED

    public static final CAStringConstants ERROR_OPERATION_NOT_PERMITTED
    Constant for resource `"error_operation_not_permitted"`.

  - ### ERROR_PARSE

    public static final CAStringConstants ERROR_PARSE
    Constant for resource `"error_parse"`.

  - ### ERROR_RECEIVED_UNEXPECTED_CONTENT_TYPE

    public static final CAStringConstants ERROR_RECEIVED_UNEXPECTED_CONTENT_TYPE
    Constant for resource `"error_received_unexpected_content_type"`.

  - ### ERROR_RECEIVED_UNEXPECTED_RESPONSE_TYPE

    public static final CAStringConstants ERROR_RECEIVED_UNEXPECTED_RESPONSE_TYPE
    Constant for resource `"error_received_unexpected_response_type"`.

  - ### ERROR_REQUEST_TOO_LARGE

    public static final CAStringConstants ERROR_REQUEST_TOO_LARGE
    Constant for resource `"error_request_too_large"`.

  - ### ERROR_SCHEMA_VERSION_TABLE_ROW

    public static final CAStringConstants ERROR_SCHEMA_VERSION_TABLE_ROW
    Constant for resource `"error_schema_version_table_row"`.

  - ### ERROR_SEARCH_NOT_ACTIVE

    public static final CAStringConstants ERROR_SEARCH_NOT_ACTIVE
    Constant for resource `"error_search_not_active"`.

  - ### ERROR_SERVER

    public static final CAStringConstants ERROR_SERVER
    Constant for resource `"error_server"`.

  - ### ERROR_SERVER_CONNECT

    public static final CAStringConstants ERROR_SERVER_CONNECT
    Constant for resource `"error_server_connect"`.

  - ### ERROR_SHELL_OPTIONS_COMBINATION

    public static final CAStringConstants ERROR_SHELL_OPTIONS_COMBINATION
    Constant for resource `"error_shell_options_combination"`.

  - ### ERROR_TYPE_CHECKING

    public static final CAStringConstants ERROR_TYPE_CHECKING
    Constant for resource `"error_type_checking"`.

  - ### ERROR_TYPE_DECLARATION_REFERS_TO_NONEXISTENT_TYPE

    public static final CAStringConstants ERROR_TYPE_DECLARATION_REFERS_TO_NONEXISTENT_TYPE
    Constant for resource `"error_type_declaration_refers_to_nonexistent_type"`.

  - ### ERROR_TYPE_FIELD_INVALID

    public static final CAStringConstants ERROR_TYPE_FIELD_INVALID
    Constant for resource `"error_type_field_invalid"`.

  - ### ERROR_TYPE_INVALID_PATTERN

    public static final CAStringConstants ERROR_TYPE_INVALID_PATTERN
    Constant for resource `"error_type_invalid_pattern"`.

  - ### ERROR_TYPE_MISSING_REQUIRED_FIELD

    public static final CAStringConstants ERROR_TYPE_MISSING_REQUIRED_FIELD
    Constant for resource `"error_type_missing_required_field"`.

  - ### ERROR_TYPE_SCALAR_STILL_REFERENCED

    public static final CAStringConstants ERROR_TYPE_SCALAR_STILL_REFERENCED
    Constant for resource `"error_type_scalar_still_referenced"`.

  - ### ERROR_TYPE_STILL_REFERENCED

    public static final CAStringConstants ERROR_TYPE_STILL_REFERENCED
    Constant for resource `"error_type_still_referenced"`.

  - ### ERROR_UNAUTHORIZED

    public static final CAStringConstants ERROR_UNAUTHORIZED
    Constant for resource `"error_unauthorized"`.

  - ### EXPECTED_COMMAND

    public static final CAStringConstants EXPECTED_COMMAND
    Constant for resource `"expected_command"`.

  - ### EXPECTED_COUNT

    public static final CAStringConstants EXPECTED_COUNT
    Constant for resource `"expected_count"`.

  - ### EXPECTED_TYPE

    public static final CAStringConstants EXPECTED_TYPE
    Constant for resource `"expected_type"`.

  - ### FILE

    public static final CAStringConstants FILE
    Constant for resource `"file"`.

  - ### FILE_ID

    public static final CAStringConstants FILE_ID
    Constant for resource `"file_id"`.

  - ### ITEM

    public static final CAStringConstants ITEM
    Constant for resource `"item"`.

  - ### ITEM_ID

    public static final CAStringConstants ITEM_ID
    Constant for resource `"item_id"`.

  - ### ITEM_LOCATION

    public static final CAStringConstants ITEM_LOCATION
    Constant for resource `"item_location"`.

  - ### ITEM_NAME

    public static final CAStringConstants ITEM_NAME
    Constant for resource `"item_name"`.

  - ### LOCATION

    public static final CAStringConstants LOCATION
    Constant for resource `"location"`.

  - ### LOCATION_ID

    public static final CAStringConstants LOCATION_ID
    Constant for resource `"location_id"`.

  - ### LOCATION_NAME

    public static final CAStringConstants LOCATION_NAME
    Constant for resource `"location_name"`.

  - ### METADATA_NAME

    public static final CAStringConstants METADATA_NAME
    Constant for resource `"metadata_name"`.

  - ### METADATA_VALUE

    public static final CAStringConstants METADATA_VALUE
    Constant for resource `"metadata_value"`.

  - ### NEW_LOCATION_ID

    public static final CAStringConstants NEW_LOCATION_ID
    Constant for resource `"new_location_id"`.

  - ### NEW_LOCATION_NAME

    public static final CAStringConstants NEW_LOCATION_NAME
    Constant for resource `"new_location_name"`.

  - ### NEW_LOCATION_PARENT_ID

    public static final CAStringConstants NEW_LOCATION_PARENT_ID
    Constant for resource `"new_location_parent_id"`.

  - ### OBJECT

    public static final CAStringConstants OBJECT
    Constant for resource `"object"`.

  - ### OFFSET

    public static final CAStringConstants OFFSET
    Constant for resource `"offset"`.

  - ### OLD_LOCATION_ID

    public static final CAStringConstants OLD_LOCATION_ID
    Constant for resource `"old_location_id"`.

  - ### OLD_LOCATION_NAME

    public static final CAStringConstants OLD_LOCATION_NAME
    Constant for resource `"old_location_name"`.

  - ### OLD_LOCATION_PARENT_ID

    public static final CAStringConstants OLD_LOCATION_PARENT_ID
    Constant for resource `"old_location_parent_id"`.

  - ### PROBLEM

    public static final CAStringConstants PROBLEM
    Constant for resource `"problem"`.

  - ### QUERIES_CLASS

    public static final CAStringConstants QUERIES_CLASS
    Constant for resource `"queries_class"`.

  - ### RECEIVED_COUNT

    public static final CAStringConstants RECEIVED_COUNT
    Constant for resource `"received_count"`.

  - ### RECEIVED_TYPE

    public static final CAStringConstants RECEIVED_TYPE
    Constant for resource `"received_type"`.

  - ### RELATION

    public static final CAStringConstants RELATION
    Constant for resource `"relation"`.

  - ### STARTING_COUNT

    public static final CAStringConstants STARTING_COUNT
    Constant for resource `"starting_count"`.

  - ### SYNTAX_INTEGER_RANGE

    public static final CAStringConstants SYNTAX_INTEGER_RANGE
    Constant for resource `"syntax_integer_range"`.

  - ### SYNTAX_INTEGER_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_INTEGER_RANGE_EXAMPLE
    Constant for resource `"syntax_integer_range_example"`.

  - ### SYNTAX_INTEGER_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_INTEGER_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_integer_range_example_name"`.

  - ### SYNTAX_INTEGER_RANGE_NAME

    public static final CAStringConstants SYNTAX_INTEGER_RANGE_NAME
    Constant for resource `"syntax_integer_range_name"`.

  - ### SYNTAX_ISO_TIMESTAMP

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP
    Constant for resource `"syntax_iso_timestamp"`.

  - ### SYNTAX_ISO_TIMESTAMP_EXAMPLE

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP_EXAMPLE
    Constant for resource `"syntax_iso_timestamp_example"`.

  - ### SYNTAX_ISO_TIMESTAMP_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP_EXAMPLE_NAME
    Constant for resource `"syntax_iso_timestamp_example_name"`.

  - ### SYNTAX_ISO_TIMESTAMP_NAME

    public static final CAStringConstants SYNTAX_ISO_TIMESTAMP_NAME
    Constant for resource `"syntax_iso_timestamp_name"`.

  - ### SYNTAX_LOCATION_MATCH

    public static final CAStringConstants SYNTAX_LOCATION_MATCH
    Constant for resource `"syntax_location_match"`.

  - ### SYNTAX_LOCATION_MATCH_ANYNAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_ANYNAME
    Constant for resource `"syntax_location_match_anyname"`.

  - ### SYNTAX_LOCATION_MATCH_ANYNAME_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_ANYNAME_NAME
    Constant for resource `"syntax_location_match_anyname_name"`.

  - ### SYNTAX_LOCATION_MATCH_DESC

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_DESC
    Constant for resource `"syntax_location_match_desc"`.

  - ### SYNTAX_LOCATION_MATCH_DESC_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_DESC_NAME
    Constant for resource `"syntax_location_match_desc_name"`.

  - ### SYNTAX_LOCATION_MATCH_EXACT

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_EXACT
    Constant for resource `"syntax_location_match_exact"`.

  - ### SYNTAX_LOCATION_MATCH_EXACT_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_EXACT_NAME
    Constant for resource `"syntax_location_match_exact_name"`.

  - ### SYNTAX_LOCATION_MATCH_NAME

    public static final CAStringConstants SYNTAX_LOCATION_MATCH_NAME
    Constant for resource `"syntax_location_match_name"`.

  - ### SYNTAX_METADATA

    public static final CAStringConstants SYNTAX_METADATA
    Constant for resource `"syntax_metadata"`.

  - ### SYNTAX_METADATA_INTEGER

    public static final CAStringConstants SYNTAX_METADATA_INTEGER
    Constant for resource `"syntax_metadata_integer"`.

  - ### SYNTAX_METADATA_INTEGER_NAME

    public static final CAStringConstants SYNTAX_METADATA_INTEGER_NAME
    Constant for resource `"syntax_metadata_integer_name"`.

  - ### SYNTAX_METADATA_MATCH

    public static final CAStringConstants SYNTAX_METADATA_MATCH
    Constant for resource `"syntax_metadata_match"`.

  - ### SYNTAX_METADATA_MATCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_MATCH_NAME
    Constant for resource `"syntax_metadata_match_name"`.

  - ### SYNTAX_METADATA_MONEY

    public static final CAStringConstants SYNTAX_METADATA_MONEY
    Constant for resource `"syntax_metadata_money"`.

  - ### SYNTAX_METADATA_MONEY_NAME

    public static final CAStringConstants SYNTAX_METADATA_MONEY_NAME
    Constant for resource `"syntax_metadata_money_name"`.

  - ### SYNTAX_METADATA_NAME

    public static final CAStringConstants SYNTAX_METADATA_NAME
    Constant for resource `"syntax_metadata_name"`.

  - ### SYNTAX_METADATA_NAME_MATCH

    public static final CAStringConstants SYNTAX_METADATA_NAME_MATCH
    Constant for resource `"syntax_metadata_name_match"`.

  - ### SYNTAX_METADATA_NAME_MATCH_EXACT

    public static final CAStringConstants SYNTAX_METADATA_NAME_MATCH_EXACT
    Constant for resource `"syntax_metadata_name_match_exact"`.

  - ### SYNTAX_METADATA_NAME_MATCH_EXACT_NAME

    public static final CAStringConstants SYNTAX_METADATA_NAME_MATCH_EXACT_NAME
    Constant for resource `"syntax_metadata_name_match_exact_name"`.

  - ### SYNTAX_METADATA_NAME_MATCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_NAME_MATCH_NAME
    Constant for resource `"syntax_metadata_name_match_name"`.

  - ### SYNTAX_METADATA_NAME_MATCH_SEARCH

    public static final CAStringConstants SYNTAX_METADATA_NAME_MATCH_SEARCH
    Constant for resource `"syntax_metadata_name_match_search"`.

  - ### SYNTAX_METADATA_NAME_MATCH_SEARCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_NAME_MATCH_SEARCH_NAME
    Constant for resource `"syntax_metadata_name_match_search_name"`.

  - ### SYNTAX_METADATA_REAL

    public static final CAStringConstants SYNTAX_METADATA_REAL
    Constant for resource `"syntax_metadata_real"`.

  - ### SYNTAX_METADATA_REAL_NAME

    public static final CAStringConstants SYNTAX_METADATA_REAL_NAME
    Constant for resource `"syntax_metadata_real_name"`.

  - ### SYNTAX_METADATA_TEXT

    public static final CAStringConstants SYNTAX_METADATA_TEXT
    Constant for resource `"syntax_metadata_text"`.

  - ### SYNTAX_METADATA_TEXT_NAME

    public static final CAStringConstants SYNTAX_METADATA_TEXT_NAME
    Constant for resource `"syntax_metadata_text_name"`.

  - ### SYNTAX_METADATA_TIME

    public static final CAStringConstants SYNTAX_METADATA_TIME
    Constant for resource `"syntax_metadata_time"`.

  - ### SYNTAX_METADATA_TIME_NAME

    public static final CAStringConstants SYNTAX_METADATA_TIME_NAME
    Constant for resource `"syntax_metadata_time_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH
    Constant for resource `"syntax_metadata_value_match"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE
    Constant for resource `"syntax_metadata_value_match_integral_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_INTEGRAL_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_integral_range_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY
    Constant for resource `"syntax_metadata_value_match_money_currency"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_CURRENCY_NAME
    Constant for resource `"syntax_metadata_value_match_money_currency_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE
    Constant for resource `"syntax_metadata_value_match_money_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_MONEY_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_money_range_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_NAME
    Constant for resource `"syntax_metadata_value_match_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE
    Constant for resource `"syntax_metadata_value_match_real_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_REAL_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_real_range_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT
    Constant for resource `"syntax_metadata_value_match_text_exact"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_EXACT_NAME
    Constant for resource `"syntax_metadata_value_match_text_exact_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH
    Constant for resource `"syntax_metadata_value_match_text_search"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TEXT_SEARCH_NAME
    Constant for resource `"syntax_metadata_value_match_text_search_name"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE
    Constant for resource `"syntax_metadata_value_match_time_range"`.

  - ### SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE_NAME

    public static final CAStringConstants SYNTAX_METADATA_VALUE_MATCH_TIME_RANGE_NAME
    Constant for resource `"syntax_metadata_value_match_time_range_name"`.

  - ### SYNTAX_MONEY_RANGE

    public static final CAStringConstants SYNTAX_MONEY_RANGE
    Constant for resource `"syntax_money_range"`.

  - ### SYNTAX_MONEY_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_MONEY_RANGE_EXAMPLE
    Constant for resource `"syntax_money_range_example"`.

  - ### SYNTAX_MONEY_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_MONEY_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_money_range_example_name"`.

  - ### SYNTAX_MONEY_RANGE_NAME

    public static final CAStringConstants SYNTAX_MONEY_RANGE_NAME
    Constant for resource `"syntax_money_range_name"`.

  - ### SYNTAX_NAME_MATCH

    public static final CAStringConstants SYNTAX_NAME_MATCH
    Constant for resource `"syntax_name_match"`.

  - ### SYNTAX_NAME_MATCH_ANYNAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_ANYNAME
    Constant for resource `"syntax_name_match_anyname"`.

  - ### SYNTAX_NAME_MATCH_ANYNAME_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_ANYNAME_NAME
    Constant for resource `"syntax_name_match_anyname_name"`.

  - ### SYNTAX_NAME_MATCH_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_NAME
    Constant for resource `"syntax_name_match_name"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_EXACT

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_EXACT
    Constant for resource `"syntax_name_match_with_name_exact"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_EXACT_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_EXACT_NAME
    Constant for resource `"syntax_name_match_with_name_exact_name"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_SEARCH

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_SEARCH
    Constant for resource `"syntax_name_match_with_name_search"`.

  - ### SYNTAX_NAME_MATCH_WITH_NAME_SEARCH_NAME

    public static final CAStringConstants SYNTAX_NAME_MATCH_WITH_NAME_SEARCH_NAME
    Constant for resource `"syntax_name_match_with_name_search_name"`.

  - ### SYNTAX_REAL_RANGE

    public static final CAStringConstants SYNTAX_REAL_RANGE
    Constant for resource `"syntax_real_range"`.

  - ### SYNTAX_REAL_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_REAL_RANGE_EXAMPLE
    Constant for resource `"syntax_real_range_example"`.

  - ### SYNTAX_REAL_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_REAL_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_real_range_example_name"`.

  - ### SYNTAX_REAL_RANGE_NAME

    public static final CAStringConstants SYNTAX_REAL_RANGE_NAME
    Constant for resource `"syntax_real_range_name"`.

  - ### SYNTAX_TIME_RANGE

    public static final CAStringConstants SYNTAX_TIME_RANGE
    Constant for resource `"syntax_time_range"`.

  - ### SYNTAX_TIME_RANGE_EXAMPLE

    public static final CAStringConstants SYNTAX_TIME_RANGE_EXAMPLE
    Constant for resource `"syntax_time_range_example"`.

  - ### SYNTAX_TIME_RANGE_EXAMPLE_NAME

    public static final CAStringConstants SYNTAX_TIME_RANGE_EXAMPLE_NAME
    Constant for resource `"syntax_time_range_example_name"`.

  - ### SYNTAX_TIME_RANGE_NAME

    public static final CAStringConstants SYNTAX_TIME_RANGE_NAME
    Constant for resource `"syntax_time_range_name"`.

  - ### SYNTAX_TYPE_MATCH

    public static final CAStringConstants SYNTAX_TYPE_MATCH
    Constant for resource `"syntax_type_match"`.

  - ### SYNTAX_TYPE_MATCH_ALL

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ALL
    Constant for resource `"syntax_type_match_all"`.

  - ### SYNTAX_TYPE_MATCH_ALL_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ALL_NAME
    Constant for resource `"syntax_type_match_all_name"`.

  - ### SYNTAX_TYPE_MATCH_ANY

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ANY
    Constant for resource `"syntax_type_match_any"`.

  - ### SYNTAX_TYPE_MATCH_ANY_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ANY_NAME
    Constant for resource `"syntax_type_match_any_name"`.

  - ### SYNTAX_TYPE_MATCH_ANYTYPE

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ANYTYPE
    Constant for resource `"syntax_type_match_anytype"`.

  - ### SYNTAX_TYPE_MATCH_ANYTYPE_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_ANYTYPE_NAME
    Constant for resource `"syntax_type_match_anytype_name"`.

  - ### SYNTAX_TYPE_MATCH_NAME

    public static final CAStringConstants SYNTAX_TYPE_MATCH_NAME
    Constant for resource `"syntax_type_match_name"`.

  - ### TAG

    public static final CAStringConstants TAG
    Constant for resource `"tag"`.

  - ### TAG_ID

    public static final CAStringConstants TAG_ID
    Constant for resource `"tag_id"`.

  - ### TAG_NAME

    public static final CAStringConstants TAG_NAME
    Constant for resource `"tag_name"`.

  - ### TYPE

    public static final CAStringConstants TYPE
    Constant for resource `"type"`.

  - ### USER_ID

    public static final CAStringConstants USER_ID
    Constant for resource `"user_id"`.

- ## Method Details

  - ### values

    public static CAStringConstants[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAStringConstants valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null